Page MenuHomePhabricator

cleanupUploadStash.php broken: key not found in stash
Closed, ResolvedPublic

Description

cleanupUploadStash.php is still broken:

apache@terbium:~$ php -ddisplay_errors=On /a/common/multiversion/MWScript.php maintenance/cleanupUploadStash.php --wiki=commonswiki
Getting list of files to clean up...
Removing 79838 file(s)...
Failed removing stashed upload with key: 10uw2z437hfo.dim94n.283617.
Failed removing stashed upload with key: 10uw2zf3neeg.jxzu5v.283617.
Failed removing stashed upload with key: 116rxtp3nhgo.fqtt50.307998.
Failed removing stashed upload with key: 117pxjmwy61o.tfky8u.2578985.
Failed removing stashed upload with key: 1181tn5e654s.bamzbw.1761492.jpg
Failed removing stashed upload with key: 1181tn4pj71g.nj3yzx.1761492.jpg
Failed removing stashed upload with key: 1181tn6rjxr0.j9d4y3.1761492.jpg
Failed removing stashed upload with key: 118h4wswdahw.ou3eal.2654023.jpg
Failed removing stashed upload with key: 11e66f8ogpy0.i88nzn.932010.
Failed removing stashed upload with key: 11e6ckgs39z0.d6u7e8.932010.
key '11qua1h4zlz4.fkvawj.2212319.jpg' not found in stash
Backtrace:
#0
/usr/local/apache/common-local/php-1.23wmf1/maintenance/cleanupUploadStash.php(82):
UploadStash->getFile('11qua1h4zlz4.fkvawj.2212319.jpg', true)
#1
/usr/local/apache/common-local/php-1.23wmf1/maintenance/doMaintenance.php(113):
UploadStashCleanup->execute()
#2
/usr/local/apache/common-local/php-1.23wmf1/maintenance/cleanupUploadStash.php(143):
require_once('/usr/local/apache/common-local/php-1.23wmf1/maintenance/doMaintenance.php')
#3 /usr/local/apache/common-local/multiversion/MWScript.php(97):
require_once('/usr/local/apache/common-local/php-1.23wmf1/maintenance/cleanupUploadStash.php')
#4 {main}

(note the missing extensions)

Additionally, as Aaron pointed out, the code doesn't catch all exceptions, namely UploadStashException, which makes the script right after the above and not proceed with the rest of the files.


Version: 1.23.0
Severity: normal

Details

Reference
bz56401

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:24 AM
bzimport set Reference to bz56401.
faidon created this task.Oct 31 2013, 12:18 AM

Change 93505 had a related patch set uploaded by Aaron Schulz:
Catch all stash errors in cleanup script

https://gerrit.wikimedia.org/r/93505

Change 93505 merged by jenkins-bot:
Catch all stash errors in cleanup script

https://gerrit.wikimedia.org/r/93505

Change 93506 had a related patch set uploaded by Aaron Schulz:
Catch all stash errors in cleanup script

https://gerrit.wikimedia.org/r/93506

Change 93506 merged by jenkins-bot:
Catch all stash errors in cleanup script

https://gerrit.wikimedia.org/r/93506

code clean up was merged

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:20 AM